#include <luna.h>
#include <stdlib.h>
#include <sys/syscall.h>
#include <unistd.h>

extern "C"
{
    __lc_noreturn void abort()
    {
        _Exit(-1);
    }

    int atoi(const char*)
    {
        NOT_IMPLEMENTED("atoi");
    }

    char* getenv(const char*)
    {
        NOT_IMPLEMENTED("getenv");
    }

    __lc_noreturn void _Exit(int status)
    {
        syscall(SYS_exit, status);
        __lc_unreachable();
    }
}